AlertDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.AlertDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class AlertDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.events.server.session.AlertDAO

    public class AlertDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`AlertDAO(DAOFactory f)`

Method Summary
`java.lang.Integer` | `countAlerts(AlertDefinition def)`
`java.lang.Integer` | `countAlerts(Resource res)`
`java.util.Map` | `findAllLastUnfixed()` Return all last unfixed alerts
`java.util.List` | `findByAlertDefinition(AlertDefinition def)`
`Alert` | `findByAlertDefinitionAndCtime(AlertDefinition def, long ctime)`
`java.util.List` | `findByAppdefEntityInRange(Resource res, long begin, long end, boolean nameSort, boolean asc)`
`Alert` | `findById(java.lang.Integer id)`
`java.util.List` | `findByResource(Resource res)`
`java.util.List` | `findByResourceSortByAlertDef(Resource res)`
`Alert` | `findLastByDefinition(AlertDefinition def)`
`Alert` | `findLastByDefinition(AlertDefinition def, boolean fixed)`
`java.util.Map` | `findLastByResource(AuthzSubject subject, Resource r, boolean includeDescendants, boolean fixed)` Return all last fixed alerts for the given resource
`Alert` | `get(java.lang.Integer id)`
`Alert` | `getById(java.lang.Integer id)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlertDAO

    public AlertDAO(DAOFactory f)

Method Detail

### getById

    public Alert getById(java.lang.Integer id)

### findById

    public Alert findById(java.lang.Integer id)

### get

    public Alert get(java.lang.Integer id)

### findByResource

    public java.util.List findByResource(Resource res)

### findByAppdefEntityInRange

    public java.util.List findByAppdefEntityInRange(Resource res,
                                                    long begin,
                                                    long end,
                                                    boolean nameSort,
                                                    boolean asc)

### findByResourceSortByAlertDef

    public java.util.List findByResourceSortByAlertDef(Resource res)

### findByAlertDefinitionAndCtime

    public Alert findByAlertDefinitionAndCtime(AlertDefinition def,
                                               long ctime)

### findByAlertDefinition

    public java.util.List findByAlertDefinition(AlertDefinition def)

### findLastByDefinition

    public Alert findLastByDefinition(AlertDefinition def,
                                      boolean fixed)

### findLastByDefinition

    public Alert findLastByDefinition(AlertDefinition def)

### findAllLastUnfixed

    public java.util.Map findAllLastUnfixed()

  Return all last unfixed alerts

  Returns:

### findLastByResource

    public java.util.Map findLastByResource(AuthzSubject subject,
                                            Resource r,
                                            boolean includeDescendants,
                                            boolean fixed)

  Return all last fixed alerts for the given resource

  Parameters:
    `subject` - The HQ user
    `r` - The root resource
    `fixed` - Boolean to indicate whether to get fixed or unfixed alerts
  Returns:

### countAlerts

    public java.lang.Integer countAlerts(AlertDefinition def)

### countAlerts

    public java.lang.Integer countAlerts(Resource res)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.